Package org.drinkless.tdlib

# Class TdApi.RemoteFile

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.RemoteFile

Enclosing class:
  `TdApi`

public static class TdApi.RemoteFile extends TdApi.Object
Represents a remote file.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `id`
  Remote file identifier; may be empty.
  `boolean`
  `isUploadingActive`
  True, if the file is currently being uploaded (or a remote copy is being generated by some other means).
  `boolean`
  `isUploadingCompleted`
  True, if a remote copy is fully available.
  `String`
  `uniqueId`
  Unique file identifier; may be empty if unknown.
  `long`
  `uploadedSize`
  Size of the remote available part of the file, in bytes; 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemoteFile()`
  Represents a remote file.
  `RemoteFile(String id, String uniqueId, boolean isUploadingActive, boolean isUploadingCompleted, long uploadedSize)`
  Represents a remote file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Remote file identifier; may be empty. Can be used by the current user across application restarts or even from other devices. Uniquely identifies a file, but a file can have a lot of different valid identifiers. If the identifier starts with "http://" or "https://", it represents the HTTP URL of the file. TDLib is currently unable to download files if only their URL is known. If downloadFile/addFileToDownloads is called on such a file or if it is sent to a secret chat, TDLib starts a file generation process by sending updateFileGenerationStart to the application with the HTTP URL in the originalPath and "#url#" as the conversion string. Application must generate the file by downloading it to the specified location.

  - ### uniqueId

    public String uniqueId
    Unique file identifier; may be empty if unknown. The unique file identifier which is the same for the same file even for different users and is persistent over time.

  - ### isUploadingActive

    public boolean isUploadingActive
    True, if the file is currently being uploaded (or a remote copy is being generated by some other means).

  - ### isUploadingCompleted

    public boolean isUploadingCompleted
    True, if a remote copy is fully available.

  - ### uploadedSize

    public long uploadedSize
    Size of the remote available part of the file, in bytes; 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RemoteFile

    public RemoteFile()
    Represents a remote file.

  - ### RemoteFile

    public RemoteFile(String id, String uniqueId, boolean isUploadingActive, boolean isUploadingCompleted, long uploadedSize)
    Represents a remote file.
    Parameters:
      `id` - Remote file identifier; may be empty. Can be used by the current user across application restarts or even from other devices. Uniquely identifies a file, but a file can have a lot of different valid identifiers. If the identifier starts with "http://" or "https://", it represents the HTTP URL of the file. TDLib is currently unable to download files if only their URL is known. If downloadFile/addFileToDownloads is called on such a file or if it is sent to a secret chat, TDLib starts a file generation process by sending updateFileGenerationStart to the application with the HTTP URL in the originalPath and "#url#" as the conversion string. Application must generate the file by downloading it to the specified location.
      `uniqueId` - Unique file identifier; may be empty if unknown. The unique file identifier which is the same for the same file even for different users and is persistent over time.
      `isUploadingActive` - True, if the file is currently being uploaded (or a remote copy is being generated by some other means).
      `isUploadingCompleted` - True, if a remote copy is fully available.
      `uploadedSize` - Size of the remote available part of the file, in bytes; 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR